Subject: bug#20404: 25.0.50; Sometimes no fontification with jit-lock-defer-time

From: Tassilo Horn <[email-masked]>
Date: Thu, 23 Apr 2015 10:38:35 +0200

Eli Zaretskii <[email-masked]> writes:

> I've reproduced this recipe.  The fontification happens about 2.5 sec
> after the buffer is initially displayed.  I've noticed that the cursor
> also doesn't blink during these few seconds, which seems to imply that
> Emacs simply doesn't "become idle" during that time, or maybe doesn't
> run _any_ idle timers during that time for some other reason.

It doesn't run _any_ timers, no matter if normal or idle.  See my other
mail which also includes redisplay traces.

> Btw, it is enough to set jit-lock-defer-time to something non-zero, to
> have this effect; the other 2 customizations seem not to affect this.

Right.

Bye,
Tassilo